%define upstream_name    Digest-JHash
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl extension for 32 bit Jenkins Hashing Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The 'Digest::JHash' module allows you to use the fast JHash hashing
algorithm developed by Bob Jenkins from within Perl programs. The algorithm
takes as input a message of arbitrary length and produces as output a
32-bit "message digest" of the input in the form of an unsigned long
integer.

Call it a low calorie version of MD5 if you like.

See http://burtleburtle.net/bob/hash/doobs.html for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.100.0-10.mga9
+ Revision: 1862861
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-9.mga9
+ Revision: 1796236
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.100.0-8.mga9
+ Revision: 1727665
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.100.0-7.mga8
+ Revision: 1595644
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.100.0-6.mga8
+ Revision: 1528843
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.100.0-5.mga8
+ Revision: 1432707
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-4.mga7
+ Revision: 1292816
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-3.mga7
+ Revision: 1249329
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.100.0-2.mga7
+ Revision: 1164078
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.100.0-1.mga7
+ Revision: 1155557
- update to 0.10

* Thu Aug 31 2017 pterjan <pterjan> 0.90.0-5.mga7
+ Revision: 1148862
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.90.0-4.mga7
+ Revision: 1127169
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1025785
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 957187
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 843772
- update to 0.09

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 789014
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 739460
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.80.0-4.mga5
+ Revision: 735612
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 684360
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 631120
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 588357
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-6.mga4
+ Revision: 524297
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.70.0-5.mga4
+ Revision: 430669
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-4.mga3
+ Revision: 365921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.70.0-3.mga3
+ Revision: 250561
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-2.mga2
+ Revision: 104210
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 22377
- cleaning spec file
- imported package perl-Digest-JHash

